Required compatibility check of Icinga2 for RHEL8 & currently we are using RHEL7

Hello Team,

Currently we are running on RHEL 7 & we are planning to upgrade Operating System to RHEL 8 in our preprod & prod platforms.

We would like to check whether there is any module or package or software needs to upgrade or not compatible with RHEL 8…?? Do we have any compatibility issues or risk with these below listed softwares/packages used ?

Below are packages & softwares we currently using for the icinga2 monitoring setup in our environments with RHEL 7:

  • Director version (System - About): 1.10.1
  • Icinga Web 2 version and modules (System - About):
  • Icinga Web 2 version : 2.11.1
  • Modules: director -1.10.1
  • icinga-php-library:0.10.0 , icinga-php-thirdparty - 0.11.0
  • Icinga 2 version (icinga2 --version): r2.13.5-1
  • Current Operating System and version: RHEL 7 : uname -a : 3.10.0-1160.76.1.el7.x86_64
  • Webserver, PHP versions: Apache/2.4.6
  • PHP Version 7.3.33

do you have an icinga repository subscription?
that will be a requirement for RH8 since you can’t use the centos 8 packages

I run Icinga2 on AlmaLinux8 but be aware, that for > RHEL7 you need a subscription to be able to access the official Icinga 2 binary packages.

No… We don’t have any subscription please.

CentOS 7 is still supported (30. June 2024) so it looks like Icinga will continue providing packages till EOL. (no guarantee)

Right now you use the centos packages for icinga updates.

So you have time to decide to migrate to a “free packages” OS like debian or ubuntu, or you contact sales for a repository subscription.

2 Likes

In the AlmaLinux Matermost they were discussing to build Icinga2 and provide packages Mattermost

1 Like